<?php
session_cache_limiter('private');
session_start();
if ($_POST) {
		$usuario = strtoupper($_POST['usu']);
		$clave = strtoupper($_POST['cla']);		
		$cedula = strtoupper($_POST['cla2']);		
		if ($_POST['tipo']==0) {
			if ( ($usuario=='MASTER' && $clave=='J%40605614.1') ) {
				$_SESSION['usuario_validar']=$usuario;
				$_SESSION['nombre_validar']='SAIREH Info';
				$_SESSION['acceso_validar']='1111111111111110111111111110111111111111111111111';
				$_SESSION['id_validar']='0'; 
				$_SESSION['nom01_validar']=''; 
				$_SESSION['per_validar']='';
				$_SESSION['modo_validar']='0';
				$_SESSION['logo_validar']='images/logo.jpg';
				$_SESSION['empresa_validar']='SAIREH OnLine';
				$_SESSION['cedula_validar']='XX';
				header ('location:menu.php');
			} else {		
				include "fphp.php";	
				$enlace=cargar_conexion();
				$consulta="Select *,coalesce(empresas,0) as empresas from tab_usuario where usuario='$usuario' and clave='$clave'";
				$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute;n del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
				$num_rows = mysqli_num_rows($resultado);
				if ($num_rows != 0) {
				    $row=mysqli_fetch_array($resultado);
					if($row['empresas']!=0){
					     $_SESSION['multiple']=true;
						 $_SESSION['empresas']=$row['empresas'];
						 $_SESSION['id_validar']='0'; 
						 $_SESSION['acceso_validar']='1111111111111110111111111110111111111111111111111';
						 
					}else{
					       $_SESSION['multiple']=false;
						   $_SESSION['id_validar']=$row['id']; 
						   $_SESSION['acceso_validar']=$row['acceso'];
					}
					$_SESSION['empresa_validar']=$row['empresa'];  
					$_SESSION['usuario_validar']=$row['usuario'];
					$_SESSION['nombre_validar']=$row['detalle'];
					$_SESSION['clave_validar']=$row['clave'];
					$_SESSION['nom01_validar']=$row['nom01']; 
					$_SESSION['modo_validar']=$row['modo']; 
					$_SESSION['per_validar']='';
					$_SESSION['logo_validar']='images/logo_'.$row['id'].'.jpg';
					$_SESSION['cedula_validar']='XX';
					if ($row['leer']==0) header ('location: menu_leer.php');
					else header ('location: menu.php');
				} else $mensaje='Acceso Denegado...';
			}
		} else {
			include "fphp.php";	
			$enlace=cargar_conexion();
			$usuario = str_repeat("0",8-strlen($usuario)).$usuario;
			$consulta=mysqli_query($enlace,"select id,codigo,nombres,apellidos,nomina,mensaje from personal where codigo='".$usuario."' and clave='".$clave."'");
			if (mysqli_num_rows($consulta)==1) {
				$row1=mysqli_fetch_array($consulta);
				$_SESSION['acceso_validar']='';
				$_SESSION['id_validar']=$row1['id'];
				$_SESSION['logo_validar']='images/logo.jpg';
				$_SESSION['nomina_validar']=$row1['nomina'];
				$_SESSION['email_validar']=$row1['mensaje'];
				$_SESSION['nombre_validar']=trim($row1['nombres']).", ".$row1['apellidos'];
				$_SESSION['usuario_validar']=$row1['codigo'];
				$_SESSION['cedula_validar']=$usuario;
			
				$consulta="Select * from tab_usuario where id='".$_SESSION['id_validar']."'";
				$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute;n del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
				$num_rows = mysqli_num_rows($resultado);
				if ($num_rows != 0) {
					$row=mysqli_fetch_array($resultado);
					$_SESSION['per_validar']='';
					$_SESSION['logo_validar']='images/logo_'.$row['id'].'.jpg';
					$_SESSION['empresa_validar']=$row['empresa'];
					if (substr($row['acceso'],27,1)=='1') {
						$_SESSION['acceso_validar']='0000000000000000000000000001';
						header ('location:menu_personal_recibo.php');
					} else header ('location:menu_personal.php');
				} else $mensaje='Empresa invalida, verifique con Recursos Humanos...';
			} else $mensaje='C&eacute;dula NO existe, o Clave Invalida...';				
		}
}else{
  session_destroy();
}		
?>
<html>
	<head>
		<title>[ SAIREH ]
		</title>
		<META NAME="keywords" CONTENT="recursos humanos,Chequeo, Nomina, Asitencia, Personal">
		<META NAME="description" CONTENT="Procesamiento de Nomina, Personal, Empleados,Control de Asistencia del Personal">
  		<META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<script language='javascript' src='fscript.js'></script>
		
		<link rel='shortcut icon' type='image/x-icon' href='images/favicon.ico'>
        
        <link rel="stylesheet" href="css/style.css">
	<link href='//fonts.googleapis.com/css?family=Open+Sans:400,300italic,300,400italic,600,600italic,700,700italic,800,800italic' rel='stylesheet' type='text/css'>
	<link href='//fonts.googleapis.com/css?family=Lato:400,100,100italic,300,300italic,400italic,700,700italic,900,900italic' rel='stylesheet' type='text/css'>
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta name="keywords" content="Lambent Login Form Responsive, Login Form Web Template, Flat Pricing Tables, Flat Drop-Downs, Sign-Up Web Templates, Flat Web Templates, Login Sign-up Responsive Web Template, Smartphone Compatible Web Template, Free Web Designs for Nokia, Samsung, LG, Sony Ericsson, Motorola Web Design" />
		<script type="application/x-javascript"> addEventListener("load", function() { setTimeout(hideURLbar, 0); }, false); function hideURLbar(){ window.scrollTo(0,1); } </script>
        
		</head>
		<body>
        
        
        <h1>BIENVENIDO</h1>
        
<div class="main-agileinfo">
<h1><img src="images/logo.png"></h1><br>
<br>
<br>


  
        <form name = "entrada" action = "<? echo $_SERVER['PHP_SELF']; ?>" method = "POST">
			
			<input type="text" name="usu" class="name" placeholder="Usuario" required>
			<input type="password" name="cla" class="password" placeholder="Contraseña" required>
			<ul>
				<li>
                	<input type = "radio" name = "tipo" value = "0" checked><label for="brand1"><span></span>Administrativo</label> 
                	<input type = "radio" name = "tipo" value = "1"><label for="brand1"><span></span>Consulta de Empleados</label>  
                    
					
				</li>
			</ul>
            
			<div class="clear"></div>
            
			<input type="submit" id="imagenentrar" value="Entrar">
		</form>
        <script language='JavaScript' type='text/JavaScript'> document.entrada.usu.focus(); </script>
	</div>
	<div class="footer-w3l">
		<p class="agile"> &copy; 2016 SAIREH. All Rights Reserved | Deseño por <a href="http://ideasmagenta.com">Magenta</a></p>
	</div>	
    
    
			
		
	</body>
</html>